Skip to main content
GET
/
waap
/
v2
/
domains
Get Domains
curl --request GET \
  --url https://api.gcore.com/waap/v2/domains \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/waap/v2/domains"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/waap/v2/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 123,
  "offset": 123,
  "count": 123,
  "results": [
    {
      "id": 123,
      "name": "<string>",
      "custom_page_set": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "aliases": [
        "<string>"
      ],
      "stats": {
        "total_requests": 0,
        "attacks_detected": 0,
        "attacks_blocked": 0
      }
    }
  ]
}
{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}
{
"detail": "Auth token is missing or invalid"
}
{
"detail": "Permission denied"
}
{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}
{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}
{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

ordering
enum<string>

Sort the response by given field.

Available options:
id,
name,
status,
created_at,
-id,
-name,
-status,
-created_at,
total_requests,
-total_requests,
attacks_detected,
-attacks_detected
limit
integer
default:100

Number of items to return

Required range: 0 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 100000
status
enum<string>

Filter domains based on the domain status

Available options:
active,
bypass,
monitor,
locked
Example:

"active"

name
string

Filter domains based on the domain name. Supports '*' as a wildcard character

Example:

"*example.com"

ids
integer[]

Filter domains based on their IDs

The domain ID

Examples:

1

2

3

Response

Successful Response

limit
integer
required

Number of items requested in the response

offset
integer
required

Items response offset used

count
integer
required

Number of items contain in the response

results
SummaryDomainWithStatsResponse · object[]
required

List of items returned in the response following given criteria